cc.funkemunky.api.utils

## Class Color

- java.lang.Object
- - cc.funkemunky.api.utils.Color

    public class Color
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `Aqua`
`static java.lang.String` `Black`
`static java.lang.String` `Blue`
`static java.lang.String` `Bold`
`static java.lang.String` `Dark_Blue`
`static java.lang.String` `Dark_Gray`
`static java.lang.String` `Dark_Green`
`static java.lang.String` `Dark_Red`
`static java.lang.String` `Gold`
`static java.lang.String` `Gray`
`static java.lang.String` `Green`
`static java.lang.String` `Italics`
`static java.lang.String` `Pink`
`static java.lang.String` `Purple`
`static java.lang.String` `Red`
`static java.lang.String` `Strikethrough`
`static java.lang.String` `Underline`
`static java.lang.String` `White`
`static java.lang.String` `Yellow`

### Constructor Summary

Constructors
Constructor and Description
`Color()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getColorFromString(java.lang.String string)`
`static java.lang.String` `strip(java.lang.String string)`
`static java.lang.String` `translate(java.lang.String string)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### Red

    public static final java.lang.String Red

#### Yellow

    public static final java.lang.String Yellow

#### Gold

    public static final java.lang.String Gold

#### Green

    public static final java.lang.String Green

#### Aqua

    public static final java.lang.String Aqua

#### Gray

    public static final java.lang.String Gray

#### Dark_Gray

    public static final java.lang.String Dark_Gray

#### Bold

    public static final java.lang.String Bold

#### Italics

    public static final java.lang.String Italics

#### Strikethrough

    public static final java.lang.String Strikethrough

#### White

    public static final java.lang.String White

#### Dark_Red

    public static final java.lang.String Dark_Red

#### Dark_Green

    public static final java.lang.String Dark_Green

#### Blue

    public static final java.lang.String Blue

#### Dark_Blue

    public static final java.lang.String Dark_Blue

#### Pink

    public static final java.lang.String Pink

#### Purple

    public static final java.lang.String Purple

#### Black

    public static final java.lang.String Black

#### Underline

    public static final java.lang.String Underline

### Constructor Detail

#### Color

    public Color()

### Method Detail

#### translate

    public static java.lang.String translate(java.lang.String string)

#### strip

    public static java.lang.String strip(java.lang.String string)

#### getColorFromString

    public static java.lang.String getColorFromString(java.lang.String string)